<script setup>
import HomePage from '@/components/HomePage.vue';
import { sessionStore } from '@/stores/session';

async function logout() {
  await sessionStore.logout();
}
</script>

<template>
  <HomePage
    :public-data="sessionStore.state.publicData"
    :session="sessionStore.state"
    @logout="logout"
  />
</template>
